////
/// @group helper
////

@mixin _singleCountBtnHelper ($size, $background-color){
  width: $size;
  height: $size;
  @include _align-flex(center, center);
  @include _transition(all);

  border-radius: 50%;
  background: $background-color;
  border: #{$size * 10 / 100} solid rgba($color_black, .9);

  text-transform: uppercase;
  letter-spacing: 1px;

  @include _link-default() {
    text-decoration: none;
  }

  @include _link-active() {
    text-decoration: none;
    color: $color_white;
    border-color: $color_1;
    background: $color_1;
  }
}



/// show single count only for horizontal screen sizes on mobile phones
@mixin _showinHorizontalMode() {
  @include _transition(all, .2s, ease-in-out);
  opacity: 0;
  visibility: hidden;
  transform: translateY(-70vh);

  &.-in {
    @media (min-width: 426px) and (max-width: 767px) {
      opacity: 1;
      visibility: visible;
      transform: translateY(0);
    }
  }
}